### Enumeration

# Qmi WmsGsmUmtsRpCause

since: 1.0

#### Declaration

    enum Qmi.WmsGsmUmtsRpCause

#### Description [src]

RP cause codes when failed to send an SMS in GSM/WCDMA.

Available since: 1.0

#### Members

`QMI_WMS_GSM_UMTS_RP_CAUSE_UNASSIGNED_NUMBER`

  Unassigned number.

  - Value: `1`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_OPERATOR_DETERMINED_BARRING`

  Operator determined barring.

  - Value: `8`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_CALL_BARRED`

  Call barred.

  - Value: `10`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_RESERVED`

  Reserved.

  - Value: `11`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_SMS_TRANSFER_REJECTED`

  SMS transfer rejected.

  - Value: `21`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_MEMORY_CAPACITY_EXCEEDED`

  Memory capacity exceeded.

  - Value: `22`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_DESTINATION_OUT_OF_ORDER`

  Destination out of order.

  - Value: `27`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_UNIDENTIFIED_SUBSCRIBER`

  Unidentified subscriber.

  - Value: `28`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_FACILITY_REJECTED`

  Facility rejected.

  - Value: `29`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_UNKNOWN_SUBSCRIBER`

  Unknown subscriber.

  - Value: `30`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_NETWORK_OUF_OF_ORDER`

  Network out of order.

  - Value: `32`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_TEMPORARY_FAILURE`

  Temporary failure.

  - Value: `33`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_CONGESTION`

  Congestion.

  - Value: `42`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_RESOURCES_UNAVAILABLE`

  Resources unavailable.

  - Value: `47`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_FACILITY_NOT_SUBSCRIBED`

  Facility not subscribed.

  - Value: `50`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_FACILITY_NOT_IMPLEMENTED`

  Facility not implemented.

  - Value: `69`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_INVALID_SMS_TRANSFER_REFERENCE_VALUE`

  Invalid SMS transfer reference value.

  - Value: `81`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_SEMANTICALLY_INCORRECT_MESSAGE`

  Semantically incorrect message.

  - Value: `95`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_INVALID_MANDATORY_INFO`

  Invalid mandatory info.

  - Value: `96`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_MESSAGE_TYPE_NOT_IMPLEMENTED`

  Message type not implemented.

  - Value: `97`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_MESSAGE_NOT_COMPATIBLE_WITH_SMS`

  Message not compatible with SMS.

  - Value: `98`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_INFORMATION_ELEMENT_NOT_IMPLEMENTED`

  Information element not implemented.

  - Value: `99`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_PROTOCOL_ERROR`

  Protocol error.

  - Value: `111`
  - Available since: 1.0
`QMI_WMS_GSM_UMTS_RP_CAUSE_INTERWORKING`

  Interworking error.

  - Value: `127`
  - Available since: 1.0

#### Type functions

###### qmi_wms_gsm_umts_rp_cause_get_string

Gets the nickname string for the `QmiWmsGsmUmtsRpCause` specified at `val`.

since: 1.0